const fs = require('fs');
['src/pages/chanxiao/supplyXuQiu.vue', 'src/pages/chanxiao/purchaseXuQiu.vue'].forEach(filePath => {
    let file = fs.readFileSync(filePath, 'utf8');
    // Fix ::placeholder back to :placeholder
    file = file.replace(/::placeholder/g, ':placeholder');
    // Also hide default text "请选择" if !isSave
    file = file.replace(/\|\| '请选择(.*?)'/g, "|| (isSave ? '请选择$1' : '')");
    fs.writeFileSync(filePath, file);
});
